Skip to main content
GET
/
monitors
Get all monitors for the authenticated user
curl --request GET \
  --url https://api.justanotheruptime.com/monitors \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    "<string>"
  ],
  "total": 123,
  "page": 123,
  "limit": 123,
  "totalPages": 123,
  "hasNextPage": true,
  "hasPreviousPage": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.justanotheruptime.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

projectId
string

Filter monitors by project

page
number
default:1

Page number (1-based)

limit
number
default:10

Number of monitors per page

Response

200 - application/json

Return all monitors.

items
string[]
required

Array of items

total
number
required

Total number of items

page
number
required

Current page number

limit
number
required

Number of items per page

totalPages
number
required

Total number of pages

hasNextPage
boolean
required

Flag indicating if there is a next page

hasPreviousPage
boolean
required

Flag indicating if there is a previous page